grow_ba {memnet} | R Documentation

## Barabási & Albert (2002) network growth model

### Description

Grow networks using Barabási & Alberts's (2002) preferential attachment model.

### Usage

    grow_ba(n = 100L, m = 5L, power = 1)

### Arguments

`n` | Integer. Number of nodes in the network.
`m` | Integer. Number of edges added for each incoming node.
`power` | Numeric. Controls the selection of nodes by raising the degree to this power.

### Value

n x n adjacency matrix.

### References

Barabási, A. L., & Albert, R. (1999). Emergence of scaling in random networks. Science, 286(5439), 509-512.

### Examples

    # generate small graph
    grow_ba(n = 6, m = 2)

    ## Not run:
    # generate large graph, flat degree distribution
    grow_ba(n = 100, m = 10, p = .1)

    # generate large graph, steep degree distribution
    grow_ba(n = 100, m = 10, p = 10)

    ## End(Not run)

[Package memnet version 0.1.0 Index]